# Class: WeeklyPlayerStat

## WeeklyPlayerStat()

WeeklyPlayerStat model ----------------------------------------------------------------------- A record containing the statistics for a single player for a single week.

## Constructor

#### new WeeklyPlayerStat()

Source:
  - app/models/WeeklyPlayerStat.model.js, line 9

### Extends

- Model

### Members

#### (static) schema

defines the schema of the particular model

Source:
  - app/models/WeeklyPlayerStat.model.js, line 17

### Methods

#### (async) to_api()

Cast the stats to a format expected by the API.

Source:
  - app/models/WeeklyPlayerStat.model.js, line 37

##### Returns:

Promise